DD-LIST(1)

NOM
dd-list - Afficher une jolie liste de paquets .deb et de leurs responsables

SYNOPSIS
dd-list [-hiusV] [--help] [--stdin] [--sources fichier_Sources] [--dctrl] [--version] [--uploaders] [paquet ...]

DESCRIPTION
dd-list produit des listes de paquets Debian (.deb) et de leurs responsables, joliment formatées.

Une liste de noms de paquets source ou binaires est attendue en tant que paramètre de la ligne de commande (ou sur l'entrée standard si l'option --stdin est fournie). La sortie est une liste au format suivant, où les noms de paquets sont, par défaut, des noms de paquets source :

    J. Random Developer <jrandom@debian.org>
        j-random-package
        j-random-other

    Diana Hacker <diana@example.org>
        fun-package
        more-fun-package

C'est utile quand vous voulez, par exemple, obtenir une liste des paquets qui demandent l'attention de leurs responsables, par exemple lorsqu'ils doivent être reconstruits suite à une transition de bibliothèque.

OPTIONS

-h, --help
    Afficher un bref message d'aide.

-i, --stdin
    Lire les noms de paquets depuis l'entrée standard, plutôt que les obtenir depuis la ligne de commande. Les noms de paquets doivent être séparés par des espaces.

-d, --dctrl
    Lire la liste de paquets depuis l'entrée standard, au format du fichier de contrôle Debian ("debian/control"). Cela inclut le fichier d'état, ou la sortie d'apt-cache. C'est l'utilisation la plus rapide de dd-list, puisqu'elle utilise les informations de responsable depuis l'entrée plutôt que de rechercher les responsables de chaque paquet.

    Si aucune ligne Source: n'est donnée, le nom de Package: est utilisé en sortie, et peut être un nom de paquet binaire.

-z, --uncompress
    Essayer de décompresser l'entrée -dctrl avant l'analyse. Les formats de compression pris en charge sont gz, bzip2 ou xz.

-s, --sources fichier_Sources
    Lire les informations de paquets à partir des fichiers_Sources indiqués. Cela peut être indiqué plusieurs fois. Les fichiers peuvent être compressés avec gz, bzip2 ou xz. Si le nom de fichier ne se termine pas par .gz, .bz2 ou .xz, alors l'option -z doit être utilisée.

    Si aucun fichier_Sources n'est indiqué, dd-list demandera à apt-get une ensemble de sources approprié (si la version d'apt est supérieure à 1.1.8), sinon tous les fichiers correspondant à /var/lib/apt/lists/*_source_Sources seront utilisés.

-u, --uploaders
    Afficher aussi la liste des développeurs marqués comme "uploaders" des paquets et non seulement les responsables ; c'est le comportement par défaut, utilisez --nouploaders si ce n'est pas ce que vous souhaitez. Les uploaders sont indiqués avec un "(U)" ajouté en fin de nom de paquet.

-nou, --nouploaders
    N'afficher que la liste des responsables (Maintainers) d'un paquet, pas les Uploaders.

-b, --print-binary
    Utiliser des noms de paquets binaires pour la sortie, plutôt que des noms de paquets source (sans effet avec --dctrl si la ligne Package: contient des noms de paquets source).

-V, --version
    Afficher la version.

AUTEUR
Lars Wirzenius <liw@iki.fi>

Joey Hess <joeyh@debian.org>

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.